      SUBROUTINE stepdl(stepsubxy, nxy, delxyin)
c		rashafer 25 Oct 1986
c		PLCONT subroutine to calculate needed values
cSUN	implicit undefined(a-z)
cVMS	implicit none
c
      INCLUDE '../inc/historysf.inc'
      RECORD /his_steppar_sub1/stepsubxy
c  I: the parameter stepping
 
c  description
      INTEGER*4 nxy
c  R: the number of values
 
c  stepped
      REAL*4 delxyin
c  R: 1 / steplength
      nxy = stepsubxy.nstep + 1
c  no of steps is one less no of values
      IF (stepsubxy.log) THEN
         delxyin = stepsubxy.nstep/log(stepsubxy.hipar/stepsubxy.lowpar)
      ELSE
         delxyin = stepsubxy.nstep/(stepsubxy.hipar-stepsubxy.lowpar)
      ENDIF
      RETURN
      END
